# rofi

Related articles

- List of applications/Other#Application launchers

Rofi is a window switcher, run dialog, ssh-launcher and dmenu replacement that started as a clone of simpleswitcher, written by Sean Pringle and later expanded by Dave Davenport.

## Installation

Install rofi from the official repositories.

## Custom Themes

### Official Theme Generator

See the official theme generator.

### Contributed Themes

See the official rofi-themes repository for a list of custom themes.

### Rofi as a drop-in replacement for dmenu

For those users wanting to use Rofi as a drop-in replacement for dmenu, you can use the following command:

    rofi -show run -modi run -location 1 -width 100 \
    		 -lines 2 -line-margin 0 -line-padding 1 \
    		 -separator-style none -font "mono 10" -columns 9 -bw 0 \
    		 -disable-history \
    		 -hide-scrollbar \
    		 -color-window "#222222, #222222, #b1b4b3" \
    		 -color-normal "#222222, #b1b4b3, #222222, #005577, #b1b4b3" \
    		 -color-active "#222222, #b1b4b3, #222222, #007763, #b1b4b3" \
    		 -color-urgent "#222222, #b1b4b3, #222222, #77003d, #b1b4b3" \
    		 -kb-row-select "Tab" -kb-row-tab ""

Tip: You can add the `-dump-xresources` flag above, save the text output to a file and upload it to the official theme generator to further customize the above theme.
Note: The command line options `-show run` and `-modi run` above will make Rofi act similar to `dmenu_run` which is provided by dmenu, limiting the capabilities of Rofi. See `man rofi` and the official project description for more information on the additional modes available.

### Rofi Theme

Require xorg-xrdb installed. Choose one theme you like Rofi Theme Copy code to ~/.Xresources Reload .Xresources file by xrdb -load ~/.Xresources or restart your computer it will works. If you don't understand, you can watch this video Youtube

Category:

- Application launchers